com.amazonaws.codegen.emitters

## Class FreemarkerGeneratorTask

- java.lang.Object
- - com.amazonaws.codegen.emitters.FreemarkerGeneratorTask

All Implemented Interfaces:
  GeneratorTask, Callable<Void>

    public class FreemarkerGeneratorTask
    extends Object
    implements GeneratorTask

Runs the template on the data model. By default the freemarker template calls the flush at the end of template processing.

### Constructor Summary

Constructors
Constructor and Description
`FreemarkerGeneratorTask(String outputDirectory, String fileName, freemarker.template.Template template, Object dataModel)`
`FreemarkerGeneratorTask(Writer writer, freemarker.template.Template template, Object data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Void` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FreemarkerGeneratorTask

    public FreemarkerGeneratorTask(String outputDirectory,
                                   String fileName,
                                   freemarker.template.Template template,
                                   Object dataModel)
                            throws IOException

Throws:
  `IOException`

#### FreemarkerGeneratorTask

    public FreemarkerGeneratorTask(Writer writer,
                                   freemarker.template.Template template,
                                   Object data)
                            throws IOException

Throws:
  `IOException`

### Method Detail

#### call

    public Void call()
              throws Exception

Specified by:
  `call` in interface `Callable<Void>`
Throws:
  `Exception`